ISPUNCT(3)

NAME
ispunct - punctuation character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
ispunct(int c);
int
ispunct_l(int c, locale_t loc);

DESCRIPTION
The ispunct() function tests for any printing character except for space (‘ ’) or a character for which isalnum(3) is true. The value of the argument must be representable as an unsigned char or the value of EOF.

In the ASCII character set, this includes the following characters (with their numeric values shown in octal):
041 ``!'' | 042 ``"'' | 043 ``#'' | 044 ``$'' | 045 ``%''
046 ``&'' | 047 ``''' | 050 ``('' | 051 ``)'' | 052 ``*''
053 ``+'' | 054 ``,'' | 055 ``-'' | 056 ``.'' | 057 ``/''
072 ``:'' | 073 ``;'' | 074 ``<'' | 075 ``='' | 076 ``>''
077 ``?'' | 100 ``@'' | 133 ``['' | 134 ``\'' | 135 ``]''
136 ``^'' | 137 ``_'' | 140 ```'' | 173 ``{'' | 174 ``|''
175 ``}'' | 176 ``~'' | | |

The ispunct_l() function takes an explicit locale argument, whereas the ispunct() function uses the current global or per-thread locale.

RETURN VALUES
The ispunct() and ispunct_l() functions return zero if the character tests false and return non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswpunct() function should be used instead.

SEE ALSO
ctype(3), iswpunct(3), ascii(7)

STANDARDS
The ispunct() function conforms to isoC. The ispunct_l() function conforms to p1003.1-2008.